Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Interface CoordinateOperation

All Superinterfaces:
  IdentifiedObject

All Known Subinterfaces:
  ConcatenatedOperation, ConicProjection, Conversion, CylindricalProjection, Operation, PassThroughOperation, PlanarProjection, Projection, SingleOperation, Transformation

    @UML(identifier="CC_CoordinateOperation",
         specification=ISO_19111)
    public interface CoordinateOperation

extends IdentifiedObject

A mathematical operation on coordinates that transforms or converts coordinates to another coordinate reference system. Many but not all coordinate operations (from coordinate reference system A to coordinate reference system B) also uniquely define the inverse operation (from coordinate reference system B to coordinate reference system A). In some cases, the operation method algorithm for the inverse operation is the same as for the forward algorithm, but the signs of some operation parameter values must be reversed. In other cases, different algorithms are required for the forward and inverse operations, but the same operation parameter values are used. If (some) entirely different parameter values are needed, a different coordinate operation shall be defined.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary
`static String` | `COORDINATE_OPERATION_ACCURACY_KEY` Key for the `"coordinateOperationAccuracy"` property.
`static String` | `DOMAIN_OF_VALIDITY_KEY` Key for the `"domainOfValidity"` property.
`static String` | `OPERATION_VERSION_KEY` Key for the `"operationVersion"` property.
`static String` | `POSITIONAL_ACCURACY_KEY` Deprecated. Renamed as `COORDINATE_OPERATION_ACCURACY_KEY`.
`static String` | `SCOPE_KEY` Key for the `"scope"` property.
`static String` | `VALID_AREA_KEY` Deprecated. Renamed as `DOMAIN_OF_VALIDITY_KEY`.

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`Collection<PositionalAccuracy>` | `getCoordinateOperationAccuracy()` Estimate(s) of the impact of this operation on point accuracy.
`Extent` | `getDomainOfValidity()` Area or region or timeframe in which this coordinate operation is valid.
`MathTransform` | `getMathTransform()` Gets the math transform.
`String` | `getOperationVersion()` Version of the coordinate transformation (i.e., instantiation due to the stochastic nature of the parameters).
`Collection<PositionalAccuracy>` | `getPositionalAccuracy()` Deprecated. Renamed as `getCoordinateOperationAccuracy()`.
`InternationalString` | `getScope()` Description of domain of usage, or limitations of usage, for which this operation is valid.
`CoordinateReferenceSystem` | `getSourceCRS()` Returns the source CRS.
`CoordinateReferenceSystem` | `getTargetCRS()` Returns the target CRS.
`Extent` | `getValidArea()` Deprecated. Renamed as `getDomainOfValidity()`.

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Field Detail

### OPERATION_VERSION_KEY

    static final String OPERATION_VERSION_KEY

  Key for the `"operationVersion"` property. This is used for setting the value to be returned by `getOperationVersion()`.

  See Also:
    `getOperationVersion()`, Constant Field Values

### COORDINATE_OPERATION_ACCURACY_KEY

    static final String COORDINATE_OPERATION_ACCURACY_KEY

  Key for the `"coordinateOperationAccuracy"` property. This is used for setting the value to be returned by `getCoordinateOperationAccuracy()`.

  Since:
    GeoAPI 2.1
  See Also:
    `getCoordinateOperationAccuracy()`, Constant Field Values

### POSITIONAL_ACCURACY_KEY

    static final String POSITIONAL_ACCURACY_KEY

  Deprecated. Renamed as `COORDINATE_OPERATION_ACCURACY_KEY`.
  Key for the `"coordinateOperationAccuracy"` property. This is used for setting the value to be returned by `getPositionalAccuracy()`.

  See Also:
    `getPositionalAccuracy()`, Constant Field Values

### DOMAIN_OF_VALIDITY_KEY

    static final String DOMAIN_OF_VALIDITY_KEY

  Key for the `"domainOfValidity"` property. This is used for setting the value to be returned by `getDomainOfValidity()`.

  Since:
    GeoAPI 2.1
  See Also:
    `getDomainOfValidity()`, Constant Field Values

### VALID_AREA_KEY

    static final String VALID_AREA_KEY

  Deprecated. Renamed as `DOMAIN_OF_VALIDITY_KEY`.
  Key for the `"domainOfValidity"` property. This is used for setting the value to be returned by `getValidArea()`.

  See Also:
    `getValidArea()`, Constant Field Values

### SCOPE_KEY

    static final String SCOPE_KEY

  Key for the `"scope"` property. This is used for setting the value to be returned by `getScope()`.

  See Also:
    `getScope()`, Constant Field Values

Method Detail

### getSourceCRS

    @UML(identifier="sourceCRS",
         obligation=MANDATORY,
         specification=ISO_19111)
    CoordinateReferenceSystem getSourceCRS()

  Returns the source CRS. The source CRS is mandatory for transformations only. Conversions may have a source CRS that is not specified here, but through `GeneralDerivedCRS.getBaseCRS()` instead.

  Returns:
    The source CRS, or `null` if not available.

### getTargetCRS

    @UML(identifier="targetCRS",
         obligation=MANDATORY,
         specification=ISO_19111)
    CoordinateReferenceSystem getTargetCRS()

  Returns the target CRS. The target CRS is mandatory for transformations only. Conversions may have a target CRS that is not specified here, but through `GeneralDerivedCRS` instead.

  Returns:
    The target CRS, or `null` if not available.

### getOperationVersion

    @UML(identifier="operationVersion",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    String getOperationVersion()

  Version of the coordinate transformation (i.e., instantiation due to the stochastic nature of the parameters). Mandatory when describing a transformation, and should not be supplied for a conversion.

  Returns:
    The coordinate operation version, or `null` in none.

### getCoordinateOperationAccuracy

    @UML(identifier="coordinateOperationAccuracy",
         obligation=OPTIONAL,
         specification=ISO_19111)
    Collection<PositionalAccuracy> getCoordinateOperationAccuracy()

  Estimate(s) of the impact of this operation on point accuracy. Gives position error estimates for target coordinates of this coordinate operation, assuming no errors in source coordinates.

  Returns:
    The position error estimates, or an empty collection if not available.
  Since:
    GeoAPI 2.1

### getPositionalAccuracy

    @UML(identifier="positionalAccuracy",
         obligation=OPTIONAL,
         specification=ISO_19111)
    Collection<PositionalAccuracy> getPositionalAccuracy()

  Deprecated. Renamed as `getCoordinateOperationAccuracy()`.

  Estimate(s) of the impact of this operation on point accuracy. Gives position error estimates for target coordinates of this coordinate operation, assuming no errors in source coordinates.

  Returns:
    The position error estimates, or an empty collection if not available.

### getDomainOfValidity

    @UML(identifier="domainOfValidity",
         obligation=OPTIONAL,
         specification=ISO_19111)
    Extent getDomainOfValidity()

  Area or region or timeframe in which this coordinate operation is valid.

  Returns:
    The coordinate operation valid domain, or `null` if not available.
  Since:
    GeoAPI 2.1

### getValidArea

    @UML(identifier="validArea",
         obligation=OPTIONAL,
         specification=ISO_19111)
    Extent getValidArea()

  Deprecated. Renamed as `getDomainOfValidity()`.

  Area in which this operation is valid.

  Returns:
    Coordinate operation valid area, or `null` if not available.

### getScope

    @UML(identifier="scope",
         obligation=OPTIONAL,
         specification=ISO_19111)
    InternationalString getScope()

  Description of domain of usage, or limitations of usage, for which this operation is valid.

### getMathTransform

    @UML(identifier="CT_CoordinateTransformation.getMathTransform",
         specification=OGC_01009)
    MathTransform getMathTransform()

  Gets the math transform. The math transform will transform positions in the source coordinate reference system into positions in the target coordinate reference system. It may be `null` in the case of defining conversions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.